Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees
Interface TreeVisitor

All Known Implementing Classes:
  WordStemmer

    public interface TreeVisitor

This is a simple strategy-type interface for operations that are applied to `Tree`. It typically is called iteratively over trees in a `Treebank`. The convention is for `TreeVisitor` implementing classes not to affect `Tree` instances they operate on, but to accomplish things via side effects (like counting statistics over trees, etc.).

Author:
  Christopher Manning, Roger Levy

Method Summary
`void` | `visitTree(Tree t)` Does whatever one needs to do to a particular parse tree.

Method Detail

### visitTree

    void visitTree(Tree t)

  Does whatever one needs to do to a particular parse tree.

  Parameters:
    `t` - A tree. Classes implementing this interface can assume that the tree passed in is not `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group